=== debian/changelog ===
libfiu (0.13-3) unstable; urgency=low

  * Normalise override disparity by moving fiu-utils from "libdevel" to "devel"
  * Add patch to fix run-time abort on *BSD platforms. (Closes: #574752)

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Mar 2010 07:22:19 +0000

libfiu (0.13-2) unstable; urgency=low

  * Add patch from upstream to determine location of libc.so.6 dynamically due
    to being named differently on IA64 and alpha. (Closes: #574405)
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Mar 2010 10:41:03 +0000

libfiu (0.13-1) unstable; urgency=low

  * New upstream release.
  * Drop 01-add-version-to-Makefile.diff, 02-add-soname.diff, 
    03-manpage-hyphens.diff, 04-manpage-dir.diff, 05-destdir-pkgconfig.diff,
    and 06-plibpath.diff: all applied upstream.
  * Bump Standards-Version to 3.8.3.
  * Bump Build-Depends on debhelper to 7.5.0~ as override functionality used.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Oct 2009 23:25:46 +0100

libfiu (0.12-1) unstable; urgency=low

  * Initial release. (Closes: #536732)

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Jul 2009 12:43:58 +0200
