=== debian/rules ===
#!/usr/bin/make -f

DOCS = $(patsubst %.rst,%.html, $(wildcard doc/*.rst))

%:
	dh $@

clean:
	rm -f doc/*.html

doc/%.html: doc/%.rst
	rst2html $< > $@
	
override_dh_auto_build: $(DOCS)
	dh_auto_build
	cd bindings/python && python setup.py build

override_dh_auto_install:
	make install PREFIX=$(CURDIR)/debian/tmp/usr DESTDIR=/usr PLIBPATH=/usr/lib/fiu
	cd bindings/python && python setup.py install --root=$(CURDIR)/debian/python-fiu --no-compile -O0 --install-layout=deb

override_dh_compress:
	dh_compress -X.rst
