=== preload/posix/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 CFLAGS += -std=c99 -Wall -O3
 ALL_CFLAGS = -D_XOPEN_SOURCE=600 -fPIC -DFIU_ENABLE=1 \
-		-I. -I../../libfiu/ -L../../libfiu/ $(CFLAGS)
+		-I. -I../../libfiu/ $(CFLAGS)
 
 ifdef DEBUG
 ALL_CFLAGS += -g
@@ -60,13 +60,36 @@
 .c.o:
 	$(NICE_CC) $(ALL_CFLAGS) -c $< -o $@
 
+
 # some platforms do not have libdl, we only use it if available
-NEED_LIBDL := $(shell ld -o dlcheck.so -shared -ldl 2>/dev/null && echo -ldl; \
-	rm -f dlcheck.so)
+build-needlibdl:
+	@$(LD) -ldl -o dlcheck.so 2>/dev/null \
+		&& echo -ldl > $@ || echo > $@
+	@rm -f dlcheck.so
 
-fiu_posix_preload.so: build-flags $(OBJS)
-	$(NICE_CC) $(ALL_CFLAGS) -shared -fPIC $(OBJS) -lfiu $(NEED_LIBDL) \
+# libc's soname depends on the platform (most use libc.so.6, but for example
+# ia64 and alpha use libc.so.6.1), so find which one to use at build-time.
+# Please note that the argument to ldd *must* start with "./", otherwise some
+# "ldd"s won't work (for example, the one in FreeBSD 8.1).
+build-libcsoname:
+	@$(CC) -x c /dev/null -lc -shared -o build-libccheck.so
+	@ldd ./build-libccheck.so | grep libc.so | awk '{ print $$1 }' > $@
+	@rm build-libccheck.so
+	@test "`cat $@`" != "" || \
+		(echo "Error finding soname, please report"; rm $@; exit 1)
+
+build-env.h: build-env.h.in build-libcsoname
+	@echo "  GEN $@"
+	$(Q) sed "s+@@LIBC_SONAME@@+`cat build-libcsoname`+g" build-env.h.in \
+		> build-env.h
+
+
+fiu_posix_preload.so: build-flags build-env.h build-needlibdl $(OBJS)
+	$(NICE_CC) $(ALL_CFLAGS) -shared -fPIC $(OBJS) \
+		-L../../libfiu/ \
+		-lfiu `cat build-needlibdl` \
 		-o fiu_posix_preload.so
+
 
 # this should only be needed when building the function list and not the
 # preload library
@@ -86,7 +109,8 @@
 	$(RM) $(PREFIX)/lib/fiu_posix_preload.so
 
 clean:
-	rm -f $(OBJS) $(GEN_OBJS:.o=.c) $(GEN_FL) build-flags
+	rm -f $(OBJS) $(GEN_OBJS:.o=.c) $(GEN_FL)
+	rm -f build-flags build-env.h build-libcsoname build-needlibdl
 	rm -f function_list fiu_posix_preload.so
 	rm -f *.bb *.bbg *.da *.gcov *.gcda *.gcno gmon.out
