=== debian/changelog ===
libfiu (0.14-2) unstable; urgency=low

  * Add missing Build-Depends on python-support. (Closes: #642450)

 -- Chris Lamb <lamby@debian.org>  Wed, 16 Nov 2011 17:38:10 +0000

libfiu (0.14-1) unstable; urgency=low

  * New upstream release.
    - Drop "01_libc6_location.diff"; applied upstream.
    - Drop "02_mode_t_freebsd.diff"; applied upstream.
  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Jul 2011 16:19:14 +0100
