=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-dev, python-docutils
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), python-dev, python-docutils, python-support
+Standards-Version: 3.9.2
 Homepage: http://blitiri.com.ar/p/libfiu/
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-libfiu.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-libfiu.git
+Vcs-Git: git://github.com/lamby/pkg-libfiu.git
+Vcs-Browser: https://github.com/lamby/pkg-libfiu
 
 Package: libfiu0
 Architecture: any
