=== debian/changelog ===
libfiu (0.90-3) unstable; urgency=low

  * Make passing the testsuite optional; upstream does not 100% rely on it yet
    on all architectures.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Apr 2012 11:19:27 +0100

libfiu (0.90-2) unstable; urgency=low

  * Apply patch from upstream to attempt to fix broken builds.
    <http://blitiri.com.ar/git/?p=libfiu;a=commit;h=005a56fbcb5ab8045f9d51676c521b335f058552>

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Apr 2012 19:03:08 +0100

libfiu (0.90-1) unstable; urgency=low

  * New upstream release.
  * Add python3-dev to Build-Depends.
  * Add patch from upstream to fix Python tests.
    <http://blitiri.com.ar/git/?p=libfiu;a=commit;h=83fb1e675de26ad5409e554e2947e53c8f1b10c0>
  * Update symbols.

 -- Chris Lamb <lamby@debian.org>  Thu, 05 Apr 2012 09:26:02 +0100
