=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-dev, python-docutils, python-support
+Build-Depends: debhelper (>= 7.0.50~), python-dev, python-docutils, python-support, python3-dev
 Standards-Version: 3.9.2
 Homepage: http://blitiri.com.ar/p/libfiu/
 Vcs-Git: git://github.com/lamby/pkg-libfiu.git
