=== debian/changelog ===
libfiu (0.91-2) unstable; urgency=low

  * Require the testsuite to pass at request of upstream - was optional since
    0.90-3.
  * Add/fix support for python3:
    - Add python3-fiu binary to debian/control
    - Adjust debian/rules to build for all versions
    - Change python/python3 build deps to python{3}-all-dev to support build
      for all versions
    Thanks to Scott Kitterman <debian@kitterman.com>.
  * Move to dh_python2. Thanks to Scott Kitterman <debian@kitterman.com>.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 May 2013 00:49:47 +0100

libfiu (0.91-1) unstable; urgency=low

  * New upstream release.
  * Update symbols.
  * Drop 01_wrap_python_for_tests.diff - applied upstream.
  * Drop 02_include_stdlib.diff - applied upstream.

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Sep 2012 02:29:33 +0100
