## libfiu 0.92

=== Makefile ===
--- 
+++ 
@@ -51,8 +51,15 @@
 utils_uninstall:
 	$(MAKE) -C utils uninstall
 
-test: libfiu bindings
+
+tests: test
+
+test: libfiu bindings preload
 	$(MAKE) -C tests
+
+test_clean:
+	$(MAKE) -C tests clean
+
 
 bindings: python2 python3
 
@@ -76,7 +83,7 @@
 	cd bindings/python && rm -rf build/
 
 
-clean: python_clean preload_clean libfiu_clean utils_clean
+clean: python_clean preload_clean libfiu_clean utils_clean test_clean
 
 
 .PHONY: default all clean install all_install uninstall all_uninstall \
@@ -85,6 +92,6 @@
 	bindings bindings_install bindings_clean \
 	preload preload_clean preload_install preload_uninstall \
 	utils utils_clean utils_install utils_uninstall \
-	test
+	test tests test_clean
