=== debian/changelog ===
libfiu (0.92-1build2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 23:53:40 +0100

libfiu (0.92-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:16 +0000

libfiu (0.92-1) unstable; urgency=low

  * New upstream release.
  * Add "this work is to be considered Public Domain" to debian/copyright.
    Thanks to Ansgar Burchardt.
  * Bump Standards-Version to 3.9.4.
  * Update debian/symbols.

 -- Chris Lamb <lamby@debian.org>  Wed, 30 Oct 2013 11:20:24 +0000
