=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libfiu
 Section: libs
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-docutils, python3-all-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://blitiri.com.ar/p/libfiu/
 Vcs-Git: git://github.com/lamby/pkg-libfiu.git
 Vcs-Browser: https://github.com/lamby/pkg-libfiu
