## libfiu 0.93

=== libfiu/Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
    endif
 endif
 
+ifdef TRACE
+    ALL_CFLAGS += -DFIU_TRACE=1
+endif
 
 # prefix for installing the binaries
 PREFIX=/usr/local
@@ -35,7 +38,7 @@
 	NICE_CC = $(CC)
 endif
 
-LIB_VER=0.92
+LIB_VER=0.93
 LIB_SO_VER=0
 
 
@@ -43,7 +46,7 @@
 # attempting to compile it normally, and fall back to the dummy version if
 # that fails. Not very sophisticated but should be safe.
 USE_DUMMY_BACKTRACE := $(shell $(CC) $(ALL_CFLAGS) -c backtrace.c \
-	-o /dev/null 2>/dev/null || echo -DDUMMY_BACKTRACE)
+	-o backtrace-check.o || echo -DDUMMY_BACKTRACE)
 ifndef USE_DUMMY_BACKTRACE
 # The real backtrace needs linking against libdl.
 USE_LIBDL = -ldl
@@ -135,7 +138,7 @@
 
 
 clean:
-	rm -f libfiu.pc $(OBJS)
+	rm -f libfiu.pc $(OBJS) backtrace-check.o
 	rm -f libfiu.so libfiu.so.$(LIB_VER) libfiu.so.$(LIB_SO_VER) libfiu.a
 	rm -f *.bb *.bbg *.da *.gcov *.gcda *.gcno gmon.out build-flags
 	$(MAKE) -C doxygen $@
