=== debian/changelog ===
libfiu (0.93-2) unstable; urgency=low

  * Add patch from upstream to fix FTBFS on i386.

 -- Chris Lamb <lamby@debian.org>  Wed, 30 Jul 2014 10:44:42 +0100

libfiu (0.93-1) unstable; urgency=medium

  * New upstream release.
  * Strip Debian revision from symbols.

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Jul 2014 07:43:46 +0100
