## libfiu 0.94

=== libfiu/Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	NICE_CC = $(CC)
 endif
 
-LIB_VER=0.93
+LIB_VER=0.94
 LIB_SO_VER=0
 
 
@@ -66,9 +66,10 @@
 
 libs: libfiu.so libfiu.a
 
-libfiu.so: build-flags fiu.h $(OBJS)
+libfiu.so: build-flags symbols.map fiu.h $(OBJS)
 	$(NICE_CC) $(ALL_CFLAGS) -shared -fPIC \
 		-Wl,-soname,libfiu.so.$(LIB_SO_VER) \
+		-Wl,--version-script=symbols.map \
 		$(OBJS) -lpthread $(USE_LIBDL) -o libfiu.so.$(LIB_VER)
 	ln -fs libfiu.so.$(LIB_VER) libfiu.so
 	ln -fs libfiu.so.$(LIB_VER) libfiu.so.$(LIB_SO_VER)
