=== preload/posix/Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 
 # We define _GNU_SOURCE to get RTLD_NEXT if available; on non-GNU
 # platforms it should be harmless.
-codegen.o: codegen.c build-flags
+codegen.o: codegen.c build-flags build-env.h
 	$(NICE_CC) $(ALL_CFLAGS) -D_GNU_SOURCE -c $< -o $@
 
 # some platforms do not have libdl, we only use it if available
