=== debian/changelog ===
libfiu (0.94-4) unstable; urgency=medium

  * wrap-and-sort -sa.
  * Add debian/patches/0002-ld-as-needed.patch from Logan Rosen
    <logan@ubuntu.com>: Move libraries after files that
    need them to fix FTBFS with ld --as-needed. (Closes: #819373)
  * Move to HTTPS URI for Vcs-Git.

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Mar 2016 23:48:24 +0400

libfiu (0.94-3) unstable; urgency=medium

  * Pass LC_ALL=C when running dh_auto_test to avoid FTBFS under exotic locales
    (eg. fr_CH.UTF-8).

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Sep 2015 15:54:19 +0100

libfiu (0.94-2) unstable; urgency=medium

  * Don't hide compiler warnings by passing V=1 to upstream Makefiles.
  * Rename buildvers -> PYTHON2_VERSIONS, etc.
  * Apply upstream patch to fix FTBFS in tests on amd64.

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Aug 2015 13:42:18 +0200

libfiu (0.94-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 3.9.6.
  * Bump Debhelper compatibility level to 9.
  * wrap-and-sort.
  * Drop 01-fix-ftbfs-on-i386.diff - applied upstream.
  * Add dh-python to Build-Depends.
  * Update debian/symbols.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Aug 2015 10:57:19 +0200
