=== debian/control ===
--- 
+++ 
@@ -2,15 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-docutils, python3-all-dev
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python-all-dev,
+ python-docutils,
+ python3-all-dev
+Standards-Version: 3.9.6
 Homepage: http://blitiri.com.ar/p/libfiu/
-Vcs-Git: git://github.com/lamby/pkg-libfiu.git
+Vcs-Git: https://github.com/lamby/pkg-libfiu
 Vcs-Browser: https://github.com/lamby/pkg-libfiu
 
 Package: libfiu0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: userspace fault injection framework
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -22,7 +29,10 @@
 Package: fiu-utils
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libfiu0 (= ${binary:Version})
+Depends:
+ libfiu0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: userspace fault injection framework (utilities)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -33,7 +43,10 @@
 Package: libfiu-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libfiu0 (= ${binary:Version})
+Depends:
+ libfiu0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: userspace fault injection framework (development libraries)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -45,7 +58,11 @@
 Package: python-fiu
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, libfiu0 (= ${binary:Version})
+Depends:
+ libfiu0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Description: userspace fault injection framework (Python bindings)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -56,7 +73,11 @@
 Package: python3-fiu
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, libfiu0 (= ${binary:Version})
+Depends:
+ libfiu0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends}
 Description: userspace fault injection framework (Python 3 bindings)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
